<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";   
    

echo '<img src="../images/img/mails.gif" alt=""> <b>Письмо Администратору</b><br><br>';

//------------------------------ Отправка сообшения --------------------------//
if ($action=="go"){

$name=check($_POST['name']);
$body=check($_POST['body']);
$trans=check($_POST['trans']);
$provkod=(int)$_POST['provkod'];

if ($name!=""){
if ($body!=""){
if (preg_match('#^([a-z0-9_\-\.])+\@([a-z0-9_\-\.])+(\.([a-z0-9])+)+$#',$umail)){
if ($_SESSION['mail_kod']==$provkod){	
  
$_SESSION['mail_kod'] = "";
unset($_SESSION['mail_kod']);

$body=utf_substr($body,0,5000);
if($trans=="y"){$body=transliter($body);}

addmail($config_emails, "Письмо с сайта ".$config_title, "Ip: $ip \nБраузер: $brow \nОтправлено: ".date('j.m.y / H:i',$sitetime)."\n\nСообщение: \n".$body, $umail, $name);

header ("Location: ../index.php?isset=mail&".SID);

} else { echo '<b>Проверочное число не совпало с данными на картинке!</b><br>';}
} else { echo '<b>Вы ввели неверный адрес e-mail, необходим формат name@site.domen!</b><br>';}
} else { echo '<b>Ошибка, вы не написали сообщение для отправки!</b><br>';}
} else { echo '<b>Ошибка, вы не написали свое имя!</b><br>';}

echo'<br><img src="../images/img/back.gif" alt=""> <a href="index.php?'.SID.'">Вернуться</a>';
}



//------------------------ Главная страница --------------------------//
if(!isset($action)){

if(!isset($_SESSION['mail_kod']) || $_SESSION['mail_kod']==""){
$_SESSION['mail_kod'] = mt_rand(1000,9999);
}

if($config_themes!="wml"){
echo '<form method="post" action="index.php?action=go&amp;'.SID.'">';

if ($provlog!=$_SESSION['log'] || $provpar!=md5($_SESSION['par'])) {	
echo 'Ваше имя:<br><input name="name" maxlength="20" /><br>';
echo 'Ваш E-mail:<br><input name="umail" maxlength="50" /><br>'; 

} else {
	
echo '<input name="name" type="hidden" value="'.$log.'" />';
echo '<input name="umail" type="hidden" value="'.$udata[4].'" />'; 
}


echo 'Сообщение:<br><textarea cols="25" rows="3" name="body"></textarea><br>';

if($config_translit=="1"){
echo 'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}

echo 'Проверочный код: ';

if($config_protectimg==1){
echo '<img src="../gallery/protect.php?pkod='.xoft_encode($_SESSION['mail_kod'],$config_keypass).'" alt=""><br>';
}else{
echo '<b>'.$_SESSION['mail_kod'].'</b><br>';
}

echo '<input name="provkod" maxlength="6" /><br>';
echo '<input value="Отправить" name="go" type="submit" /></form><hr>';

} else {
	
if ($provlog!=$_SESSION['log'] || $provpar!=md5($_SESSION['par'])) {	
echo '<br>Ваше имя:<br><input name="name" maxlength="20"/><br>';	
echo 'Ваш E-mail:<br><input name="umail"/><br>';}

echo 'Сообщение:<br><input name="body" maxlength="5000"/><br>';	
if($config_translit=="1"){
echo 'Транслит: <select name="trans"><option value="0">Нет</option>';
echo '<option value="y">Да</option></select><br>';}

echo 'Проверочный код: ';

if($config_protectimg==1){
echo '<img src="../gallery/protect.php?pkod='.xoft_encode($_SESSION['mail_kod'],$config_keypass).'" alt=""><br>';
}else{
echo '<b>'.$_SESSION['mail_kod'].'</b><br>';
}
echo '<input name="provkod" maxlength="6"/><br>';

echo '<anchor>Отправить';
echo '<go href="index.php?action=go&amp;'.SID.'" method="post">';

if ($provlog!=$_SESSION['log'] || $provpar!=md5($_SESSION['par'])) {
echo '<postfield name="name" value="$(name)"/>';
echo '<postfield name="umail" value="$(umail)"/>';
}else{
echo '<postfield name="name" value="'.$log.'"/>';
echo '<postfield name="umail" value="'.$udata[4].'"/>';	
}
echo '<postfield name="body" value="$(body)"/>';
echo '<postfield name="trans" value="$(trans)"/>';
echo '<postfield name="provkod" value="$(provkod)"/>';
echo '<postfield name="go" value="go"/>';
echo '</go></anchor><br>--------------------<br>';
}
}

echo'<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';
include_once "../themes/$config_themes/foot.php";
?>